<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
      crossorigin="anonymous"
    ></script>
    <style>
      .material-selector {
        border-radius: 50%;
        border: 1px solid #111;
        width: 40px;
        height: 40px;
        display: inline-block;
        padding: 1px;
        margin: 0px 5px;
      }
      .material-selector div {
        display: inline-block;
        border-radius: 50%;
        width: 100%;
        height: 100%;
      }

      canvas:hover {
        outline: none;
      }

      .canvas-container {
        position: relative;
        width: 100%;
        height: 100%;
        padding-top: 100%; /* 16:9 Aspect Ratio */
      }

      #pictofit-web-viewer {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        outline: none;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <div class="canvas-container">
            <pictofit-web id="pictofit-web-viewer"></pictofit-web>
          </div>
        </div>
        <div class="col-6">
          <h3 class="my-3">Personalised Mannequin</h3>
          <form>
            <label class="form-label">Gender</label>
            <div class="mb-3">
              <div class="btn-group" role="group">
                <input type="radio" class="btn-check" name="btngender" id="btn-female" value="female" checked />
                <label class="btn btn-outline-dark" for="btn-female">Female</label>

                <input type="radio" class="btn-check" name="btngender" id="btn-male" value="male" />
                <label class="btn btn-outline-dark" for="btn-male">Male</label>
              </div>
            </div>

            <label class="form-label">Body Type</label>
            <div class="mb-3">
              <div class="btn-group" role="group">
                <input type="radio" class="btn-check" name="btnbodytype" id="btn-ecto" value="Ectomorph" />
                <label class="btn btn-outline-dark" for="btn-ecto">Ectomorph</label>

                <input type="radio" class="btn-check" name="btnbodytype" id="btn-endo" value="Endomorph" checked />
                <label class="btn btn-outline-dark" for="btn-endo">Endomorph</label>

                <input type="radio" class="btn-check" name="btnbodytype" id="btn-meso" value="Mesomorph" />
                <label class="btn btn-outline-dark" for="btn-meso">Mesomorph</label>
              </div>
            </div>

            <label class="form-label">Pose</label>
            <div class="mb-3">
              <div class="btn-group" role="group">
                <input type="radio" class="btn-check" name="btnpose" id="btn-pose1" value="1" checked />
                <label class="btn btn-outline-dark" for="btn-pose1">Pose 1</label>

                <input type="radio" class="btn-check" name="btnpose" id="btn-pose2" value="2" />
                <label class="btn btn-outline-dark" for="btn-pose2">Pose 2</label>
              </div>
            </div>

            <div class="cotainer">
              <div class="row mb-3">
                <div class="col">
                  <label for="input-shoulderwidth" class="form-label">Shoulder Width</label>
                  <input type="range" class="form-range" id="input-shoulderwidth" />
                  <input type="text" class="form-control-plaintext" id="value-shoulderwidth" readonly />
                  <div class="form-text">cm</div>
                </div>
                <div class="col">
                  <label for="input-shoulderwidth" class="form-label">Chest Circumference</label>
                  <input type="range" class="form-range" id="input-chestcirc" />
                  <input type="text" class="form-control-plaintext" id="value-chestcirc" readonly />
                  <div class="form-text">cm</div>
                </div>
              </div>
              <div class="row mb-3">
                <div class="col">
                  <label for="input-shoulderwidth" class="form-label">Waist Circumference</label>
                  <input type="range" class="form-range" id="input-waistcirc" />
                  <input type="text" class="form-control-plaintext" id="value-waistcirc" readonly />
                  <div class="form-text">cm</div>
                </div>
                <div class="col">
                  <label for="input-shoulderwidth" class="form-label">Hip Circumference</label>
                  <input type="range" class="form-range" id="input-hipcirc" />
                  <input type="text" class="form-control-plaintext" id="value-hipcirc" readonly />
                  <div class="form-text">cm</div>
                </div>
              </div>
              <div class="row">
                <div class="col d-grid">
                  <button type="button" class="btn btn-dark" id="button-customise">
                    <span
                      class="spinner-border spinner-border-sm"
                      style="display: none"
                      role="status"
                      aria-hidden="true"
                      id="button-customise-spinner"
                    ></span>
                    <span id="button-customise-text">Customise</span>
                  </button>
                  </br>
                  <button type="button" class="btn btn-dark" id="button-creator">
                    <span
                      class="spinner-border spinner-border-sm"
                      style="display: none"
                      role="status"
                      aria-hidden="true"
                      id="button-creator-spinner"
                    ></span>
                    <span id="button-creator-text">Create & Download 2D Avatar</span>
                  </button>
                  </br>
                  <button type="button" class="btn btn-dark" id="button-mannequin-download">
                    <span
                      class="spinner-border spinner-border-sm"
                      style="display: none"
                      role="status"
                      aria-hidden="true"
                      id="button-mannequin-download-spinner"
                    ></span>
                    <span id="button-mannequin-download-text">Download Mannequin</span>
                  </button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </body>
</html>
